<?php
/*
 * Date:	07.09.2007
 *
 * File:	lib/config.php
 * Project:	AJAX_CHAT
 *
 * Author:	Sebastian Tschan
 * Website:	https://blueimp.net
 *
 * License:	GPL
 * 
 */

// Define AJAX Chat user roles:
define('AJAX_CHAT_CHATBOT',		4);
define('AJAX_CHAT_ADMIN',		3);
define('AJAX_CHAT_MODERATOR',	2);
define('AJAX_CHAT_USER',		1);
define('AJAX_CHAT_GUEST',		0);

// AJAX Chat config parameters:
$ajaxChatConfig = array();

// Database connection values:
$ajaxChatConfig['dbConnection'] = array();
// Database hostname:
$ajaxChatConfig['dbConnection']['host'] = 'localhost';
// Database username:
$ajaxChatConfig['dbConnection']['user'] = 'root';
// Database password:
$ajaxChatConfig['dbConnection']['pass'] = '';
// Database name:
$ajaxChatConfig['dbConnection']['name'] = 'chat';

// Database table names:
$ajaxChatConfig['dbTableNames'] = array();
$ajaxChatConfig['dbTableNames']['online']		= 'ajax_chat_online';
$ajaxChatConfig['dbTableNames']['messages']		= 'ajax_chat_messages';
$ajaxChatConfig['dbTableNames']['bans']			= 'ajax_chat_bans';

// Available languages:
$ajaxChatConfig['langAvailable'] = array('de','el','en','es','nl','ru');
// Default language:
$ajaxChatConfig['langDefault'] = 'en';

// Available styles:
$ajaxChatConfig['styleAvailable'] = array('prosilver','subsilver2','beige','black','grey');
// Default style:
$ajaxChatConfig['styleDefault'] = 'prosilver';

// Content encoding:
$ajaxChatConfig['contentEncoding'] = 'UTF-8';

// Session identification:
$ajaxChatConfig['sessionName'] = 'ajax_chat';
$ajaxChatConfig['sessionValuePrefix'] = 'ajaxChat';

// Channel used when no channel is given:
$ajaxChatConfig['defaultChannelID'] = 0;
// UserID plus this value are private channels (this is also the max userID):
$ajaxChatConfig['privateChannelDiff'] = 1000000000;

// The userID used for ChatBot messages:
$ajaxChatConfig['chatBotUserID'] = 2147483647;
// The userName used for ChatBot messages
$ajaxChatConfig['chatBotUserName'] = 'ChatBot';

// Enable/Disable guest logins:
$ajaxChatConfig['allowGuestLogins'] = true;

// Minutes until a user is declared inactive (closed browser window):
$ajaxChatConfig['inactiveTimeout'] = 2;
// Interval in minutes to check for inactive users (last online status):
$ajaxChatConfig['inactiveCheckInterval'] = 5;

// Max time difference for old messages to display on enter:
$ajaxChatConfig['oldMessagesTimeDiff'] = '1 DAY';
// Max number of old messages to display on enter:
$ajaxChatConfig['oldMessagesLimit'] = 10;

// Max userName length:
$ajaxChatConfig['userNameMaxLength'] = 20;
// Max messageText length:
$ajaxChatConfig['messageTextMaxLength'] = 1040;

// Argument that is given to the handleLogout JavaScript method:
$ajaxChatConfig['logoutData'] = './?logout=true';

// If true, checks if the user IP is the same when logged in:
$ajaxChatConfig['ipCheck'] = true;

// Defines if messages are logged to file and purged from the database:
$ajaxChatConfig['logsCreateLogs'] = false;
// Path to the log files directory:
$ajaxChatConfig['logsDirectory'] = realpath('logs').'/';
// Messages to collect for each log file:
$ajaxChatConfig['logsMessageNumber'] = 500;
// Use Gzip compression for the log files:
$ajaxChatConfig['logsUseGzipCompression'] = true;
?>