<?php
/*
 * Date:	16.09.2007
 *
 * File:	lib/template/loggedOut.php
 * Project:	PHP_AJAX_CHAT
 *
 * Author:	Sebastian Tschan
 * Website:	https://blueimp.net
 *
 * License:	GPL
 * 
 */

// Create a new Content-Type object:
$contentType = new ContentType($params['contentEncoding'], null);
// Send content-type header:
$contentType->send();

if(stristr($contentType->get(),'xml'))
	echo '<?xml version="1.0" encoding="'.$params['contentEncoding'].'"?>'."\n";
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $language->getLangCode(); ?>" lang="<?php echo $language->getLangCode(); ?>">

<head>
	<meta http-equiv="Content-Type" content="<?php echo $contentType->get(); ?>" />
<?php
	foreach($params['styleAvailable'] as $style) {
		$alternate = ($style == $params['styleDefault']) ? '' : 'alternate ';
		echo '	<link rel="'.$alternate.'stylesheet" type="text/css" href="css/'.rawurlencode($style).'.css" title="'.htmlentities($style, ENT_QUOTES, $params['contentEncoding']).'"/>'."\n";
	}
?>
	<!--[if lt IE 7]>
		<link rel="stylesheet" type="text/css" href="css/ie5-6.css"/>
	<![endif]-->
	<script src="js/chat.js" type="text/javascript"></script>
	<script src="js/custom.js" type="text/javascript"></script>
	<script src="js/lang/<?php echo $language->getLangCode(); ?>.js" type="text/javascript"></script>
	<script src="js/config.js" type="text/javascript"></script>
	<script type="text/javascript">
		// <![CDATA[
			ajaxChat.init(ajaxChatConfig, ajaxChatLang, false);
			ajaxChat.initStyle();
		// ]]>
	</script>
	<title><?php echo htmlentities($lang['title'], ENT_QUOTES, $params['contentEncoding']); ?></title>
</head>

<body onload="document.getElementById('userNameField').focus();" onunload="ajaxChat.finalize();">
	<div id="loginContent">
		<div id="loginHeadlineContainer">
			<h1><?php echo htmlentities($lang['title'], ENT_QUOTES, $params['contentEncoding']); ?></h1>
		</div>
		<form action="./" method="post" enctype="application/x-www-form-urlencoded">
			<div id="loginFormContainer">
				<div><label for="userNameField"><?php echo htmlentities($lang['userName'], ENT_QUOTES, $params['contentEncoding']); ?>:</label><br />
				<input type="text" name="userName" id="userNameField" maxlength="<?php echo $params['userNameMaxLength']; ?>"/></div>
				<div><label for="passwordField"><?php echo htmlentities($lang['password'], ENT_QUOTES, $params['contentEncoding']); ?>*:</label><br />
				<input type="text" name="password" id="passwordField"/></div>
				<div><label for="channelField"><?php echo htmlentities($lang['channel'], ENT_QUOTES, $params['contentEncoding']); ?>:</label><br />
				<select name="channelName" id="channelField"><?php
					// Show a selection of the existing channels:
					foreach($chat->getChannels() as $key=>$value) {
						echo '<option value="'.htmlentities($key, ENT_QUOTES, $params['contentEncoding']).'">'.htmlentities($key, ENT_QUOTES, $params['contentEncoding']).'</option>';
					}
				?></select></div>
				<div><input type="submit" name="submit" id="loginButton" value="<?php echo htmlentities($lang['login'], ENT_QUOTES, $params['contentEncoding']); ?>"/></div>
				<div id="loginRegisteredUsers">* <?php echo htmlentities($lang['registeredUsers'], ENT_QUOTES, $params['contentEncoding']); ?></div>
			</div>
		</form>
		<div id="errorContainer"><?php
			foreach($chat->getInfoMessages() as $key=>$value)
				echo '		<div>'.htmlentities($lang[$key], ENT_QUOTES, $params['contentEncoding']).'</div>';
		?><noscript><div><?php echo htmlentities($lang['requiresJavaScript'], ENT_QUOTES, $params['contentEncoding']); ?></div></noscript></div>
		<!--
			Please retain the full copyright notice below including the link to blueimp.net.
			This not only gives respect to the amount of time given freely by the developer
			but also helps build interest, traffic and use of AJAX Chat.
			
			Thanks,
			Sebastian Tschan
		//-->
		<div id="copyright"><a href="https://blueimp.net">AJAX Chat &copy; blueimp.net</a></div>
	</div>
</body>

</html>